import 'package:agora_rtc_wrapper/agora_rtc_wrapper.dart';
import 'package:flutter/material.dart';

import 'agora_rtc_wrapper.impl.dart';

/// Created by taohid on 15,May, 2020
/// Email: taohid32@gmail.com

AgoraRtcWrapper createWrapper(
  String appId, {
  OnError onError,
  OnJoinSuccess onJoinSuccess,
  VoidCallback onLeaveChannel,
  OnUserJoined onUserJoined,
  OnUserOffline onUserOffline,
  OnFirstRemoteVideoFrame onFirstRemoteVideoFrame,
}) =>
    AgoraRtcWrapperImpl(
      appId,
      onError: onError,
      onJoinSuccess: onJoinSuccess,
      onLeaveChannel: onLeaveChannel,
      onUserJoined: onUserJoined,
      onUserOffline: onUserOffline,
      onFirstRemoteVideoFrame: onFirstRemoteVideoFrame,
    );
